import request from "@/util/oaRequest"

// 查询快递问题列表
export function listExpressQuestion(query) {
	return request({
		url: '/oa/expressQuestion/list',
		method: 'get',
		params: query
	})
}

// 查询快递问题详细
export function getExpressQuestion(questionId) {
	return request({
		url: '/oa/expressQuestion/' + questionId,
		method: 'get'
	})
}

// 新增快递问题
export function addExpressQuestion(data) {
	return request({
		url: '/oa/expressQuestion',
		method: 'post',
		data: data
	})
}

// 修改快递问题
export function updateExpressQuestion(data) {
	return request({
		url: '/oa/expressQuestion',
		method: 'put',
		data: data
	})
}

// 删除快递问题
export function delExpressQuestion(questionId) {
	return request({
		url: '/oa/expressQuestion/' + questionId,
		method: 'delete'
	})
}